<html>
<head>
<title>OGRE: Ogre::Profiler::ProfileFrame Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Profiler.html">Profiler</a>::<a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html">ProfileFrame</a></div>
<h1>Ogre::Profiler::ProfileFrame Struct Reference</h1><!-- doxytag: class="Ogre::Profiler::ProfileFrame" -->Represents the total timing information of a profile since profiles can be called more than once each frame.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1Profiler_1_1ProfileFrame-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html#f444a2a77f7bb3e2387aec94c539a7fb">name</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The name of the profile.  <a href="#f444a2a77f7bb3e2387aec94c539a7fb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#4304981347643708ee9a7ba8884e5758">ulong</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html#89cf3553385a4aaadf99061f920249b1">frameTime</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The total time this profile has taken this frame.  <a href="#89cf3553385a4aaadf99061f920249b1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html#449b6583375ed3ed8c4a9cd872496cd9">calls</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of times this profile was called this frame.  <a href="#449b6583375ed3ed8c4a9cd872496cd9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html#f9530dfafd95f21de7c508bb99fe4f84">hierarchicalLvl</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The hierarchical level of this profile, 0 being the main loop.  <a href="#f9530dfafd95f21de7c508bb99fe4f84"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Represents the total timing information of a profile since profiles can be called more than once each frame. 
<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00282">282</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="f444a2a77f7bb3e2387aec94c539a7fb"></a><!-- doxytag: member="Ogre::Profiler::ProfileFrame::name" ref="f444a2a77f7bb3e2387aec94c539a7fb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html#f444a2a77f7bb3e2387aec94c539a7fb">Ogre::Profiler::ProfileFrame::name</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The name of the profile. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00285">285</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="89cf3553385a4aaadf99061f920249b1"></a><!-- doxytag: member="Ogre::Profiler::ProfileFrame::frameTime" ref="89cf3553385a4aaadf99061f920249b1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#4304981347643708ee9a7ba8884e5758">ulong</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html#89cf3553385a4aaadf99061f920249b1">Ogre::Profiler::ProfileFrame::frameTime</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The total time this profile has taken this frame. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00288">288</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="449b6583375ed3ed8c4a9cd872496cd9"></a><!-- doxytag: member="Ogre::Profiler::ProfileFrame::calls" ref="449b6583375ed3ed8c4a9cd872496cd9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html#449b6583375ed3ed8c4a9cd872496cd9">Ogre::Profiler::ProfileFrame::calls</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of times this profile was called this frame. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00291">291</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f9530dfafd95f21de7c508bb99fe4f84"></a><!-- doxytag: member="Ogre::Profiler::ProfileFrame::hierarchicalLvl" ref="f9530dfafd95f21de7c508bb99fe4f84" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html#f9530dfafd95f21de7c508bb99fe4f84">Ogre::Profiler::ProfileFrame::hierarchicalLvl</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The hierarchical level of this profile, 0 being the main loop. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00294">294</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:53 2008
</p>
</body>
</html>
